org.apache.poi.xssf.usermodel

## Class XSSFPivotCacheRecords

- java.lang.Object
- - org.apache.poi.ooxml.POIXMLDocumentPart
  - - org.apache.poi.xssf.usermodel.XSSFPivotCacheRecords

-     public class XSSFPivotCacheRecords
      extends POIXMLDocumentPart

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `POIXMLDocumentPart.RelationPart`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `XSSFPivotCacheRecords()`
    `protected` | `XSSFPivotCacheRecords(PackagePart part)` Creates an XSSFPivotCacheRecords representing the given package part and relationship.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `commit()` Save the content in the underlying package part.
    `org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPivotCacheRecords` | `getCtPivotCacheRecords()`
    `protected void` | `readFrom(java.io.InputStream is)`

    - ### Methods inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `_invokeOnDocumentRead, addRelation, createRelationship, createRelationship, createRelationship, getNextPartNumber, getPackagePart, getParent, getRelationById, getRelationId, getRelationPartById, getRelationParts, getRelations, getTargetPart, isCommited, isCommitted, onDocumentCreate, onDocumentRead, onDocumentRemove, onSave, prepareForCommit, read, rebase, removeRelation, removeRelation, removeRelation, setCommited, setCommitted, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XSSFPivotCacheRecords

          @Beta
          public XSSFPivotCacheRecords()

    - #### XSSFPivotCacheRecords

          @Beta
          protected XSSFPivotCacheRecords(PackagePart part)
                                         throws java.io.IOException

      Creates an XSSFPivotCacheRecords representing the given package part and relationship. Should only be called when reading in an existing file.
      Parameters:
        `part` - - The package part that holds xml data representing this pivot cache records.
      Throws:
        `java.io.IOException`
      Since:
        POI 3.14-Beta1

  - ### Method Detail

    - #### readFrom

          @Beta
          protected void readFrom(java.io.InputStream is)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getCtPivotCacheRecords

          @Beta
           @Internal
          public org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPivotCacheRecords getCtPivotCacheRecords()

    - #### commit

          @Beta
          protected void commit()
                               throws java.io.IOException

      Description copied from class: `POIXMLDocumentPart`
      Save the content in the underlying package part. Default implementation is empty meaning that the package part is left unmodified.

      Sub-classes should override and add logic to marshal the "model" into Ooxml4J.

      For example, the code saving a generic XML entry may look as follows:

           protected void commit() throws IOException {
             PackagePart part = getPackagePart();
             OutputStream out = part.getOutputStream();
             XmlObject bean = getXmlBean(); //the "model" which holds changes in memory
             bean.save(out, DEFAULT_XML_OPTIONS);
             out.close();
           }

      Overrides:
        `commit` in class `POIXMLDocumentPart`
      Throws:
        `java.io.IOException` - a subclass may throw an IOException if the changes can't be committed

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.